#version 330 core

layout (location = 0) in vec2 pos;
layout (location = 1) in vec4 v_color;

uniform mat4 mvp;

out color;

void main() {
     color = v_color; // Taken by fragment.fs
     gl_Position = mvp * vec4((pos + vec2(0.5, 0.5)), 0, 1);
}
